aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorkrolxon <krolyxon@tutanota.com>2026-01-08 12:25:11 +0530
committerkrolxon <krolyxon@tutanota.com>2026-01-08 12:25:11 +0530
commit4ddf45c07f14fd0cf9be9d0c543f581267ef374a (patch)
treedf2dbdd6f61cef5ba4a8245bc5561ff4e5e1ea70
parentf96621a78869a5268bcb49728fe29682f539f0fc (diff)
change the order of installation, install everything with paru at the end
-rw-r--r--.config/hypr/source/appearance.conf26
-rw-r--r--.config/hypr/source/keybinds.conf10
-rw-r--r--README.md4
-rwxr-xr-xinstall.sh90
4 files changed, 71 insertions, 59 deletions
diff --git a/.config/hypr/source/appearance.conf b/.config/hypr/source/appearance.conf
index 3709198..b9f4e91 100644
--- a/.config/hypr/source/appearance.conf
+++ b/.config/hypr/source/appearance.conf
@@ -4,7 +4,7 @@ general {
border_size = 2
resize_on_border = false
allow_tearing = false
- # col.active_border = $color14 $color0 $color0 $color14 45deg
+ # col.active_border = $color14 $color0 $color0 $color14 45deg # Gradient border
col.active_border = $color14 $color14 $color14 $color14 45deg
col.inactive_border = $color0 $color0 $color0 $color0 45deg
layout = master
@@ -14,21 +14,21 @@ decoration {
# rounding = 8
- blur {
- enabled = false
- size = 3
- passes = 1
- }
-
-
# blur {
# enabled = true
# size = 3
- # passes = 3
- # new_optimizations = true
- # vibrancy = 0.1696
- # ignore_opacity = true
+ # passes = 1
# }
+
+
+ blur {
+ enabled = true
+ size = 3
+ passes = 3
+ new_optimizations = true
+ vibrancy = 0.1696
+ ignore_opacity = true
+ }
}
animations {
@@ -70,10 +70,8 @@ misc {
force_default_wallpaper = -1 # Set to 0 or 1 to disable the anime mascot wallpapers
disable_hyprland_logo = true# If true disables the random hyprland logo / anime girl background. :(
disable_splash_rendering = true
-
mouse_move_enables_dpms = true
key_press_enables_dpms = true
-
vrr = 0 # Disable adaptive sync
}
diff --git a/.config/hypr/source/keybinds.conf b/.config/hypr/source/keybinds.conf
index bc561e9..9168804 100644
--- a/.config/hypr/source/keybinds.conf
+++ b/.config/hypr/source/keybinds.conf
@@ -72,23 +72,20 @@ bind = $mainMod SHIFT, 0, split-movetoworkspacesilent, 10
bind = $mainMod, S, togglespecialworkspace, magic
bind = $mainMod SHIFT, S, movetoworkspace, special:magic
-# Have scratchpad like DWM
+# Scratchpad like DWM
workspace = special:h, on-created-empty: $terminal
bind = $mainMod SHIFT, Return, togglespecialworkspace, h
-# --- Screen Rotate ---
+# Screen Rotate
bindld = CTRL ALT, R, Rotate Screen Clockwise, exec, hypr_screen_rotate.sh -90
bindld = CTRL ALT SHIFT, R, Rotate Screen Anti-Clockwise, exec, hypr_screen_rotate.sh +90
-# --- Accessibility: Zoom ---
+# Accessibility: Zoom
cursor:zoom_disable_aa = true
-
# Zoom In
binded = SUPER SHIFT, equal, Zoom In, exec, sh -c "hyprctl keyword cursor:zoom_factor \"$(hyprctl getoption cursor:zoom_factor | awk 'NR==1 {print $2 * 1.25}')\""
-
# Zoom Out
binded = SUPER SHIFT, minus, Zoom Out, exec, sh -c "hyprctl keyword cursor:zoom_factor \"$(hyprctl getoption cursor:zoom_factor | awk 'NR==1 {val = $2 / 1.25; if (val < 1.0) val = 1.0; print val}')\""
-
# Reset Zoom
bindld = SUPER SHIFT, BACKSPACE, Reset Zoom, exec, hyprctl keyword cursor:zoom_factor 1.0
@@ -114,4 +111,3 @@ bindl = , XF86AudioNext, exec, playerctl next
bindl = , XF86AudioPause, exec, playerctl play-pause
bindl = , XF86AudioPlay, exec, playerctl play-pause
bindl = , XF86AudioPrev, exec, playerctl previous
-
diff --git a/README.md b/README.md
index 50ce9e2..a7db562 100644
--- a/README.md
+++ b/README.md
@@ -14,6 +14,8 @@ cd $HOME
git clone https://github.com/krolyxon/dotfiles.git ~/.dotfiles
cd ~/.dotfiles
./install.sh
-# Installation with no confirmation prompts
+
+## OR ##
+## Use auto-yes (you won't be asked to select any packages, everything will be selected by default)
./install.sh --yes
```
diff --git a/install.sh b/install.sh
index a39c922..259a765 100755
--- a/install.sh
+++ b/install.sh
@@ -174,6 +174,19 @@ else
gum_to_array GPU_PKGS < <(choose_packages pkg_gpu)
fi
+##################
+## AUR PACKAGES ##
+##################
+source "$currentDir/packages/pkg_aur.sh"
+prompt_style "Select AUR packages"
+
+if ((AUTO_YES)); then
+ AUR_PKGS=("${pkg_aur[@]}")
+else
+ gum_to_array AUR_PKGS < <(choose_packages pkg_aur)
+fi
+
+
##########################
## Configure Everything ##
@@ -237,44 +250,8 @@ else
exit 1
fi
-##################
-## AUR PACKAGES ##
-##################
-source "$currentDir/packages/pkg_aur.sh"
-prompt_style "Select AUR packages"
-
-if ((AUTO_YES)); then
- AUR_PKGS=("${pkg_aur[@]}")
-else
- gum_to_array AUR_PKGS < <(choose_packages pkg_aur)
-fi
-
-if ((${#AUR_PKGS[@]})); then
- if ! command -v paru >/dev/null 2>&1; then
- log INFO "Installing Paru (AUR package manager)"
- git clone https://aur.archlinux.org/paru.git
- (cd paru && makepkg -sri)
- rm -rf paru
- fi
- paru -S --needed "${AUR_PKGS[@]}"
-else
- log WARN "No AUR packages selected"
-fi
-############################
-## Setup Keyd ##
-############################
-if command -v keyd >/dev/null 2>&1; then
- if confirm "Configure and enable keyd? "; then
- log INFO "Copying keyd configuration to /etc/keyd/default.conf"
- sudo cp "$currentDir/system/etc/keyd/default.conf" /etc/keyd/
- sudo systemctl enable --now keyd.service \
- && log SUCCESS "Successfully enabled keyd.service" \
- || log ERROR "Couldn't enable keyd.service"
- fi
-fi
-
########################
## Install Everything ##
########################
@@ -284,13 +261,23 @@ ALL_PKGS=(
"${OPTIONAL_PKGS[@]}"
"${GPU_PKGS[@]}"
"${UTILITY_PKGS[@]}"
+ "${AUR_PKGS[@]}"
"${pkg_desktop[@]}"
)
if ((${#ALL_PKGS[@]})); then
if confirm "Install all the selected packages?"; then
log INFO "Installing selected packages..."
- if sudo pacman -Syu --needed "${ALL_PKGS[@]}"; then
+
+ ## Installing paru if not installed already
+ if ! command -v paru >/dev/null 2>&1; then
+ log INFO "Installing Paru (AUR package manager)"
+ git clone https://aur.archlinux.org/paru.git
+ (cd paru && makepkg -sri)
+ rm -rf paru
+ fi
+
+ if paru -Syu --needed "${ALL_PKGS[@]}"; then
INSTALL_STATUS="complete"
else
INSTALL_STATUS="failed"
@@ -305,6 +292,35 @@ else
fi
+##########################
+## Install AUR Packages ##
+##########################
+if ((${#AUR_PKGS[@]})); then
+ if ! command -v paru >/dev/null 2>&1; then
+ log INFO "Installing Paru (AUR package manager)"
+ git clone https://aur.archlinux.org/paru.git
+ (cd paru && makepkg -sri)
+ rm -rf paru
+ fi
+ paru -S --needed "${AUR_PKGS[@]}"
+else
+ log WARN "No AUR packages selected"
+fi
+
+################
+## Setup Keyd ##
+################
+if command -v keyd >/dev/null 2>&1; then
+ if confirm "Configure and enable keyd? "; then
+ log INFO "Copying keyd configuration to /etc/keyd/default.conf"
+ sudo cp "$currentDir/system/etc/keyd/default.conf" /etc/keyd/
+ sudo systemctl enable --now keyd.service \
+ && log SUCCESS "Successfully enabled keyd.service" \
+ || log ERROR "Couldn't enable keyd.service"
+ fi
+fi
+
+
case "$INSTALL_STATUS" in
complete)
gum style \